<html>
<head>
<title>OGRE: Ogre::StaticGeometry::QueuedGeometry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">QueuedGeometry</a></div>
<h1>Ogre::StaticGeometry::QueuedGeometry Struct Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::QueuedGeometry" -->Structure recording a queued geometry for low level builds.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1StaticGeometry_1_1QueuedGeometry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#c16c7a7bff4440f883c31c85f7bf7bd2">geometry</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#6ea20308c6c2919a63c24d1273f21f03">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#1a9af1b18aec22c5a9f39d487c859a0b">orientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#f13765fe72f89bd33db5feec0beec29b">scale</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording a queued geometry for low level builds. 
<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00165">165</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c16c7a7bff4440f883c31c85f7bf7bd2"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedGeometry::geometry" ref="c16c7a7bff4440f883c31c85f7bf7bd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a>* <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#c16c7a7bff4440f883c31c85f7bf7bd2">Ogre::StaticGeometry::QueuedGeometry::geometry</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00167">167</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6ea20308c6c2919a63c24d1273f21f03"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedGeometry::position" ref="6ea20308c6c2919a63c24d1273f21f03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#6ea20308c6c2919a63c24d1273f21f03">Ogre::StaticGeometry::QueuedGeometry::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00168">168</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1a9af1b18aec22c5a9f39d487c859a0b"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedGeometry::orientation" ref="1a9af1b18aec22c5a9f39d487c859a0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#1a9af1b18aec22c5a9f39d487c859a0b">Ogre::StaticGeometry::QueuedGeometry::orientation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00169">169</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f13765fe72f89bd33db5feec0beec29b"></a><!-- doxytag: member="Ogre::StaticGeometry::QueuedGeometry::scale" ref="f13765fe72f89bd33db5feec0beec29b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html#f13765fe72f89bd33db5feec0beec29b">Ogre::StaticGeometry::QueuedGeometry::scale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00170">170</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:08 2008
</p>
</body>
</html>
